#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

##########

# won't need this once old versions of library are no longer used
_decodedcompressedoptions_ {_compressedoptions_}


_htmlextra_ {}

_starthighlight_ {<b><u>}
_endhighlight_ {</u></b>}

#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<p><h2>oops</h2>
_textdefaultcontent_}
_pagetitle_ {_textdefaulttitle_}
_imagethispage_ {}
_iconcollection_ {}
_imagecollection_ {_If_("_iconcollection_" ne "",<a href="_httppagex_(about)"><img src="_iconcollection_" border=0></a>)}

#######################################################################
# these width macros are read in by the server when calculating 
# width of navigation bar etc. There should be one for each 
# classification that this receptionist supports, one for the 
# search button, and the _pagewidth_ macro which is the total width
# of the page
#######################################################################

# width of tabs when displaying tables of contents
_tabwidth_ {25}

_pagewidth_ {537}
# defaultwidth is the width buttons default to if not included in this list
_defaultwidth_ {87}
_searchwidth_ {_widthtsrchx_}
_Titlewidth_ {_widthttitlx_}
_Listwidth_ {_widthtlistx_}
_Creatorwidth_ {_widthtauthx_}
_Serieswidth_ {_widthtserx_}
_Datewidth_ {_widthtdatex_}
_Subjectwidth_ {_widthtsubjx_}
_Organizationwidth_ {_widthtorgx_}
_Howtowidth_ {_widththowx_}
_Topicwidth_ {_widthttopicx_}
_Browsewidth_ {_widthtbrwsex_}
_Peoplewidth_ {_widthtpeopx_}

#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

_navigationbar_ {}
_javaimagesnavbar_ {}
_javaimagescontent_ {}
_widthtspace_ {2}

# all cgi args are set as _cgiargX_ macros - those I've put here 
# are those that need to default to something
_cgiargd_ {}
_cgiargcl_ {}

# set from within the query action
_hselection_ {}
_jselection_ {}
_nselection_ {}
#granularity selection for mgpp
_gselection_ {}
#######################################################################
# navigation bar images
#
#######################################################################

# the spacer image - the width of this is set from server
_imagespacer_ {<img 
src="_httpicontspace_" width="_widthtspace_" height="_heighttspace_">}
_imagespacer_[v=1] {<br>
}

# image macros for all the classifications currently supported by
# this receptionist. i.e. title, author, subject, series, date,
# howto, and organization (and search)

_imagesearch_ {<a href="_httpquery_" 
    onMouseover = "img\_on('search')"
    onMouseout = "img\_off('search')"><img name="search"
        src="_httpicontsrchof_" width="_widthtsrchx_" height="_heighttsrchx_" 
        border="0" alt="_textimagesearch_"></a>}
_imagesearch_[v=1] {<a href="_httpquery_">_textimagesearch_</a><br>
}

_imageTitle_ {<a href="_httpbrowseTitle_"
    onMouseover = "img\_on('titles')" 
    onMouseout = "img\_off('titles')"><img name="titles" 
        src="_httpiconttitlof_" width=_widthttitlx_ height=_heightttitlx_ 
        border=0 alt="_textimageTitle_"></a>}
_imageTitle_[v=1] {<a href="_httpbrowseTitle_">_textimageTitle_</a><br>
}

_imageCreator_ {<a href="_httpbrowseCreator_"
    onMouseover = "img\_on('authors')" 
    onMouseout = "img\_off('authors')"><img name="authors" 
        src="_httpicontauthof_" width=_widthtauthx_ height=_heighttauthx_ 
        border=0 alt="_textimageCreator_"></a>}
_imageCreator_[v=1] {<a href="_httpbrowseCreator_">_textimageCreator_</a><br>
}

_imageSeries_ {<a href="_httpbrowseSeries_"
    onMouseover = "img\_on('series')" 
    onMouseout = "img\_off('series')"><img name="series" 
        src="_httpicontserof_" width="_widthtserx_" height="_heighttserx_" 
        border="0" alt="_textimageSeries_"></a>}
_imageSeries_[v=1] {<a href="_httpbrowseSeries_">_textimageSeries_</a><br>
}

_imageDate_ {<a href="_httpbrowseDate_"
    onMouseover = "img\_on('dates')" 
    onMouseout = "img\_off('dates')"><img name="dates" 
        src="_httpicontdateof_" width="_widthtdatex_" height="_heighttdatex_" 
        border="0" alt="_textimageDate_"></a>}
_imageDate_[v=1] {<a href="_httpbrowseDate_">_textimageDate_</a><br>
}

_imageSubject_ {<a href="_httpbrowseSubject_"
    onMouseover = "img\_on('subjects')" 
    onMouseout = "img\_off('subjects')"><img name="subjects" 
        src="_httpicontsubjof_" width="_widthtsubjx_" height="_heighttsubjx_" 
        border="0" alt="_textimageSubject_"></a>}
_imageSubject_[v=1] {<a href="_httpbrowseSubject_">_textimageSubject_</a><br>
}

_imageOrganization_ {<a href="_httpbrowseOrganization_"
    onMouseover = "img\_on('org')" 
    onMouseout = "img\_off('org')"><img name="org" 
        src="_httpicontorgof_" width="_widthtorgx_" height="_heighttorgx_" 
        border="0" alt="_textimageOrganization_"></a>}
_imageOrganization_[v=1] {<a href="_httpbrowseOrganization_">_textimageOrganization_</a><br>
}

_imageHowto_ {<a href="_httpbrowseHowto_"
    onMouseover = "img\_on('how')" 
    onMouseout = "img\_off('how')"><img name="how" 
        src="_httpiconthowof_" width="_widththowx_" height="_heightthowx_" 
        border="0" alt="_textimageHowto_"></a>}
_imageHowto_[v=1] {<a href="_httpbrowseHowto_">_textimageHowto_</a><br>
}

_imageTopic_ {<a href="_httpbrowseTopic_"
    onMouseover = "img\_on('topic')" 
    onMouseout = "img\_off('topic')"><img name="topic" 
        src="_httpiconttopicof_" width="_widthttopicx_" height="_heightttopicx_" 
        border="0" alt="_textimageTopic_"></a>}
_imageTopic_[v=1] {<a href="_httpbrowseTopic_">_textimageTopic_</a><br>
}

_imageBrowse_ {<a href="_httpbrowseBrowse_"
    onMouseover = "img\_on('browse')" 
    onMouseout = "img\_off('browse')"><img name="browse" 
        src="_httpicontbrwseof_" width="_widthtbrwsex_" height="_heighttbrwsex_" 
        border="0" alt="_textimageBrowse_"></a>}
_imageBrowse_[v=1] {<a href="_httpbrowseBrowse_">_textimageBrowse_</a><br>
}

_imagePeople_ {<a href="_httpbrowsePeople_"
    onMouseover = "img\_on('People')"
    onMouseout = "img\_off('People')"><img name="People"
        src="_httpicontpeopof_" width=_widthtpeopx_ height=_heighttpeopx_
        border=0 alt="_textimagePeople_"></a>}
_imagePeople_[v=1] {<a href="_httpbrowsePeople_">_textimagePeople_</a><br>
}


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome__imagehelp__imagepref_}
_javalinks_ [v=1] {
_imagehome_<br>
_imagehelp_<br>
_imagepref_<br>
}

# the javaimages macros contain the javascript code required
# by each flashy javascript image. _javaimagesheader_ contains those
# images at the top right of the page, _javaimagesnavbar_ (set
# from within the server) contains those images in the navigation bar,
# and _javaimagescontent_ (also set in server) contains any other 
# javascript images that occur in the page. 
# the javaimages macros should contain _javaX_ macros for each javascript
# image link within the page.

_javaimagesheader_ {_javahome__javahelp__javapref_}
_javaimagesheader_ [v=1] {}

_javaabout_ {
	about\_on = new Image(_widthcabtx_, _heightcabtx_);
	about\_on.src = "_httpiconcabton_";
	about\_off = new Image(_widthcabtx_, _heightcabtx_);
	about\_off.src = "_httpiconcabtof_";
}

_javahome_ {
	home\_on = new Image(_widthchomex_, _heightchomex_);          
	home\_on.src = "_httpiconchomeon_";		        
	home\_off = new Image(_widthchomex_, _heightchomex_);          
	home\_off.src = "_httpiconchomeof_";             
}

_javahelp_ {
	help\_on = new Image(_widthchelpx_, _heightchelpx_);
	help\_on.src = "_httpiconchelpon_";
	help\_off = new Image(_widthchelpx_, _heightchelpx_);
	help\_off.src = "_httpiconchelpof_";
}

_javapref_ {
	pref\_on = new Image(_widthcprefx_, _heightcprefx_);          
	pref\_on.src = "_httpiconcprefon_";
	pref\_off = new Image(_widthcprefx_, _heightcprefx_);
	pref\_off.src = "_httpiconcprefof_"; 
}

_javasearch_ {
	search\_on = new Image(_widthtsrchx_, _heighttsrchx_);          
	search\_on.src = "_httpicontsrchon_";
	search\_off = new Image(_widthtsrchx_, _heighttsrchx_);          
	search\_off.src = "_httpicontsrchof_";
}

_javaTitle_ {
	titles\_on = new Image(_widthttitlx_, _heightttitlx_);
	titles\_on.src = "_httpiconttitlon_";
	titles\_off = new Image(_widthttitlx_, _heightttitlx_);
	titles\_off.src = "_httpiconttitlof_";
}

_javaList_ {
	list\_on = new Image(_widthtlistx_, _heighttlistx_);
	list\_on.src = "_httpicontliston_";
	list\_off = new Image(_widthtlistx_, _heighttlistx_);
	list\_off.src = "_httpicontlistof_";
}

_javaCreator_ {
	authors\_on = new Image(_widthtauthx_, _heighttauthx_);
	authors\_on.src = "_httpicontauthon_";
	authors\_off = new Image(_widthtauthx_, _heighttauthx_);
	authors\_off.src = "_httpicontauthof_";
}

_javaSeries_ {
	series\_on = new Image(_widthtserx_, _heighttserx_);          
	series\_on.src = "_httpicontseron_";
	series\_off = new Image(_widthtserx_, _heighttserx_);          
	series\_off.src = "_httpicontserof_";
}

_javaDate_ {
	dates\_on = new Image(_widthtdatex_, _heighttdatex_);          
	dates\_on.src = "_httpicontdateon_";
	dates\_off = new Image(_widthtdatex_, _heighttdatex_);          
	dates\_off.src = "_httpicontdateof_";	 		
}

_javaSubject_ {
	subjects\_on = new Image(_widthtsubjx_, _heighttsubjx_);          
	subjects\_on.src = "_httpicontsubjon_";
	subjects\_off = new Image(_widthtsubjx_, _heighttsubjx_);          
	subjects\_off.src = "_httpicontsubjof_";	 		
}

_javaHowto_ {
	how\_on = new Image(_widththowx_, _heightthowx_);          
	how\_on.src = "_httpiconthowon_";
	how\_off = new Image(_widththowx_, _heightthowx_);          
	how\_off.src = "_httpiconthowof_";	 		
}

_javaOrganization_ {
	org\_on = new Image(_widthtorgx_, _heighttorgx_);          
	org\_on.src = "_httpicontorgon_";
	org\_off = new Image(_widthtorgx_, _heighttorgx_);          
	org\_off.src = "_httpicontorgof_";	 		
}

_javaTopic_ {
	topic\_on = new Image(_widthttopicx_, _heightttopicx_);          
	topic\_on.src = "_httpiconttopicon_";
	topic\_off = new Image(_widthttopicx_, _heightttopicx_);          
	topic\_off.src = "_httpiconttopicof_";	 		
}

_javaBrowse_ {
	browse\_on = new Image(_widthtbrwsex_, _heighttbrwsex_);          
	browse\_on.src = "_httpicontbrwseon_";
	browse\_off = new Image(_widthtbrwsex_, _heighttbrwsex_);          
	browse\_off.src = "_httpicontbrwseof_";	 		
}

_javaPeople_ {
        People\_on = new Image(_widthtpeopx_, _heighttpeopx_);
        People\_on.src = "_httpicontpeopon_";
        People\_off = new Image(_widthtpeopx_, _heighttpeopx_);
        People\_off.src = "_httpicontpeopof_";
}


#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {nzdl@nzdl.org}

_gsdltop_ {_top}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpcollimg_ {_httpcollection_/index/assoc}
_httpdocimg_ {_httpcollimg_/_thisOID_}

_httpcollection_{_httpprefix_/collect/_cgiargc_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&a=p&p=_1_}
_httppagestatus_ {_gwcgi_?e=_compressedoptions_&a=status}
_httppageabout_ {_httppagex_(about)}
#_httppagehome_ {_httppagex_(home)}
_httppagehome_ {_gwcgi_?a=p&p=home}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}
_httpclearhistory_ {_gwcgi_?e=_compressedoptions_&a=dh}

_httpgreenstone_ {_httppagex_(gsdl)}
_httpdownload_ {http://www.nzdl.org/download}
_httppublications_ {_httpdownload_/greenstone/publications}

_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
_httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}

# _httpdoc_ is the same as _httpdocument_ - _httpdocument_
# may occasionally be altered by the server however
_httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}
_httpdoc_  {_gwcgi_?e=_compressedoptions_&a=d}

_httpextlink_ {_gwcgi_?e=_compressedoptions_&a=extlink}
_httpbuild_ {_gwcgi_?e=_compressedoptions_&a=bc}

_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconibtext_ {_httpimg_/ibtext.gif}
_widthibtext_ {16}
_heightibtext_ {21}

_httpiconimpegvideo_ {_httpimg_/impegvideo.gif}
_widthimpegvideo_ {29}
_heightimpegvideo_ {32}

_httpiconiqtvideo_ {_httpimg_/iqtvideo.gif}
_widthiqtvideo_ {29}
_heightiqtvideo_ {32}

_httpiconirmvideo_ {_httpimg_/irmvideo.gif}
_widthirmvideo_ {29}
_heightirmvideo_ {32}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {1}

_httpicontspace_ {_httpimg_/tspace.gif}
_heighttspace_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconaopenbk_ {_httpimg_/aopenbk.gif}
_widthaopenbk_ {28}
_heightaopenbk_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconaopenfdr_ {_httpimg_/aopenfdr.gif}
_widthaopenfdr_ {23}
_heightaopenfdr_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconabook_ {_httpimg_/abook.gif}
_widthabook_ {18}
_heightabook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconabshelf_ {_httpimg_/abshelf.gif}
_widthabshelf_ {20}
_heightabshelf_ {16}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconasmtext_ {_httpimg_/asmtext.gif}
_widthasmtext_ {23}
_heightasmtext_ {15}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconaclsdfdr_ {_httpimg_/aclsdfdr.gif}
_widthaclsdfdr_ {23}
_heightaclsdfdr_ {15}


#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconnext_{<img src="_httpiconmore_" align=absbottom 
width=_widthmore_ height=_heightmore_ border=0 alt="_texticonnext_">}
_iconnext_[v=1] {_texticonnext_}

_iconprev_{<img src="_httpiconless_" align=absbottom 
width=_widthless_ height=_heightless_ border=0 alt="_texticonprev_">}
_iconprev_[v=1] {_texticonprev_}

_icontabsearchgreen_ {<img 
src="_httpicontsrchgr_" height=_heighttsrchx_ width=_widthtsrchx_ border=0>}
_icontabsearchgreen_[v=1] {_texticontabsearchgreen_}

_icontabListgreen_ {<img
src="_httpicontlistgr_" height=_heighttlistx_ width=_widthtlistx_ border=0>}
_icontablistgreen_ [v=1] {_texticontablistgreen_}

_icontabTitlegreen_ {<img 
src="_httpiconttitlgr_" height=_heightttitlx_ width=_widthttitlx_ border=0>}
_icontabTitlegreen_[v=1] {_texticontabtitlegreen_}

_icontabCreatorgreen_ {<img 
src="_httpicontauthgr_" height=_heighttauthx_ width=_widthtauthx_ border=0>}
_icontabCreatorgreen_[v=1] {_texticontabauthorgreen_}

_icontabSeriesgreen_ {<img 
src="_httpicontsergr_" height=_heighttserx_ width=_widthtserx_ border=0>}
_icontabSeriesgreen_[v=1] {_texticontabseriesgreen_}

_icontabDategreen_ {<img 
src="_httpicontdategr_" height=_heighttdatex_ width=_widthtdatex_ border=0>}
_icontabDategreen_[v=1] {_texticontabdategreen_}

_icontabSubjectgreen_ {<img 
src="_httpicontsubjgr_" height=_heighttsubjx_ width=_widthtsubjx_ border=0>}
_icontabSubjectgreen_[v=1] {_texticontabsubjectgreen_}

_icontabHowtogreen_ {<img 
src="_httpiconthowgr_" height=_heightthowx_ width=_widththowx_ border=0>}
_icontabHowtogreen_[v=1] {_texticontabhowgreen_}

_icontabTopicgreen_ {<img 
src="_httpiconttopicgr_" height=_heightttopicx_ width=_widthttopicx_ border=0>}
_icontabTopicgreen_[v=1] {_texticontabtopicgreen_}

_icontabBrowsegreen_ {<img 
src="_httpicontbrwsegr_" height=_heighttbrwsex_ width=_widthtbrwsex_ border=0>}
_icontabBrowsegreen_[v=1] {_texticontabbrwsegreen_}

_icontabOrganizationgreen_ {<img 
src="_httpicontorggr_" height=_heighttorgx_ width=_widthtorgx_ border=0>}
_icontabOrganizationgreen_[v=1] {_texticontaborggreen_}

_icontabPeoplegreen_ {<img
src="_httpicontpeopgr_" height=_heighttpeopx_ width=_widthtpeopx_ border=0>}
_icontabPeoplegreen_[v=1] {_texticontabPeoplegreen_}

_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=6></center>}
_iconblankbar_[v=1] {<br><hr><br>}

_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}
_icontext_[v=1] {_texticontext_}

_iconblanktext_ {<img border=0 align=absmiddle src="_httpiconibtext_" width=_widthibtext_ height=_heightibtext_>}
_iconblanktext_[v=1] {}

_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_">}
_iconclosedbook_ [v=1] {<small><b>_texticonclosedbook_: </b></small>}
_iconclosedbook_ [v=1,l=zh]{<small><_font_><b>_texticonclosedbook_: </b></font></small>}


#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################


_imageabout_ {<a href="_httppageabout_" 
    onMouseover = "img\_on('about')" 
    onMouseout = "img\_off('about')"><img name="about"
        src="_httpiconcabtof_" width=_widthcabtx_ height=_heightcabtx_
        border=0 alt="_textimageabout_"></a>}

_imageabout_[v=1] {
<a href="_httppageabout_">_textimageabout_</a>
}

_imagehome_ {<a href="_httppagehome_" 
    onMouseover = "img\_on('home')" 
    onMouseout = "img\_off('home')"><img name="home"
        src="_httpiconchomeof_" width="_widthchomex_" height="_heightchomex_"
        border="0" alt="_textimagehome_"></a>}

_imagehome_[v=1] {
<a href="_httppagehome_">_textimagehome_</a>
}


_imagehelp_ {<a href="_httppagehelp_"
    onMouseover = "img\_on('help')" 
    onMouseout = "img\_off('help')"><img name="help" 
        src="_httpiconchelpof_" width="_widthchelpx_" height="_heightchelpx_" 
        border="0" alt="_textimagehelp_"></a>}

_imagehelp_[v=1] {
<a href="_httppagehelp_">_textimagehelp_</a>
}


_imagepref_ {<a href="_httppagepref_"
    onMouseover = "img\_on('pref')" 
    onMouseout = "img\_off('pref')"><img name="pref" 
        src="_httpiconcprefof_" width="_widthcprefx_" height="_heightcprefx_" border="0" alt="_textimagepref_"></a>}

_imagepref_[v=1] {
<a href="_httppagepref_">_textimagepref_</a>
}

_imagegreenstone_ {<img src="_httpicongsdl_" width="_widthgsdl_" height="_heightgsdl_" border="0" alt="_textimagegreenstone_" hspace=0>}

_imagegreenstone_[v=1] {_textimagegreenstone_}















